Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: peripheral::GatewaySensorManager::InterpretationRuleRangeRAW Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::InterpretationRuleRangeRAW Struct Reference

InterpretationRuleRangeRAW is applied after swap, but before masking (because it has it's own mask) More...

`import <GatewaySensorManager.idl;`

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRuleRangeRAW:

## Public Attributes
string | min
| minimum accepted value (unsigned 64-bit value as string, decimal or hexadecimal)
string | max
| maximum accepted value (unsigned 64-bit value as string, decimal or hexadecimal)
string | mask
| mask before compare (unsigned 64-bit value as string, decimal or hexadecimal; "" or "0" = not masked, the same as "0xFFFFFFFFFFFFFFFF")
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRuleInvertable
boolean | invertCondition
| negate rule condition
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRule
Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable
AccessType | accessType
| use rule for read and/or write access

## Detailed Description

InterpretationRuleRangeRAW is applied after swap, but before masking (because it has it's own mask)

Definition at line 492 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ mask

string peripheral::GatewaySensorManager::InterpretationRuleRangeRAW::mask

mask before compare (unsigned 64-bit value as string, decimal or hexadecimal; "" or "0" = not masked, the same as "0xFFFFFFFFFFFFFFFF")

Definition at line 495 of file GatewaySensorManager.idl.

## ◆ max

string peripheral::GatewaySensorManager::InterpretationRuleRangeRAW::max

maximum accepted value (unsigned 64-bit value as string, decimal or hexadecimal)

Definition at line 494 of file GatewaySensorManager.idl.

## ◆ min

string peripheral::GatewaySensorManager::InterpretationRuleRangeRAW::min

minimum accepted value (unsigned 64-bit value as string, decimal or hexadecimal)

Definition at line 493 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl